io.flutter.embedding.engine.systemchannels

## Class PlatformViewsChannel.PlatformViewCreationRequest

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.PlatformViewsChannel.PlatformViewCreationRequest

- Enclosing class:
    PlatformViewsChannel

      public static class PlatformViewsChannel.PlatformViewCreationRequest
      extends Object

  Request sent from Flutter to create a new platform view.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `direction` The layout direction of the new platform view.
    `double` | `logicalHeight` The density independent height to display the platform view.
    `double` | `logicalWidth` The density independent width to display the platform view.
    `ByteBuffer` | `params` Custom parameters that are unique to the desired platform view.
    `int` | `viewId` The ID of the platform view as seen by the Flutter side.
    `String` | `viewType` The type of Android `View` to create for this platform view.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformViewCreationRequest(int viewId, String viewType, double logicalWidth, double logicalHeight, int direction, ByteBuffer params)` Creates a request to construct a platform view that uses a virtual display.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### viewId

          public final int viewId

      The ID of the platform view as seen by the Flutter side.

    - #### viewType

          @NonNull
          public final String viewType

      The type of Android `View` to create for this platform view.

    - #### logicalWidth

          public final double logicalWidth

      The density independent width to display the platform view.

    - #### logicalHeight

          public final double logicalHeight

      The density independent height to display the platform view.

    - #### direction

          public final int direction

      The layout direction of the new platform view.

      See `View.LAYOUT_DIRECTION_LTR` and `View.LAYOUT_DIRECTION_RTL`

    - #### params

          @Nullable
          public final ByteBuffer params

      Custom parameters that are unique to the desired platform view.

  - ### Constructor Detail

    - #### PlatformViewCreationRequest

          public PlatformViewCreationRequest(int viewId,
                                             @NonNull
                                             String viewType,
                                             double logicalWidth,
                                             double logicalHeight,
                                             int direction,
                                             @Nullable
                                             ByteBuffer params)

      Creates a request to construct a platform view that uses a virtual display.